ApplicationFields (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.parser.acd
Class ApplicationFields

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.acd.ApplicationFields

public class ApplicationFields
extends java.lang.Object

Field Summary
`private ApplicationParam[]` | `appP`
`private int` | `guiHandleNumber`
`private int` | `numofParams`

Constructor Summary
`ApplicationFields()`

Method Summary
`int` | `getGuiHandleNumber()`
`int` | `getNumberOfParam()`
`java.lang.String` | `getParamAttribute(int index)`
`double` | `getParamValueDbl(int index)`
`java.lang.String` | `getParamValueStr(int index)`
`boolean` | `isParamValueStr(int index)`
`void` | `resetParam(int index, double nvalue)`
`void` | `resetParam(int index, java.lang.String sval)`
`void` | `setGuiHandleNumber(int guiHandleNumber)`
`void` | `setNumberOfParam(int numofParams)`
`void` | `setParam(int index, java.lang.String attr, double nvalue)`
`void` | `setParam(int index, java.lang.String attr, java.lang.String sval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numofParams

    private int numofParams

### guiHandleNumber

    private int guiHandleNumber

### appP

    private ApplicationParam[] appP

Constructor Detail

### ApplicationFields

    public ApplicationFields()

Method Detail

### setNumberOfParam

    public void setNumberOfParam(int numofParams)

### setParam

    public void setParam(int index,
                         java.lang.String attr,
                         java.lang.String sval)

### setParam

    public void setParam(int index,
                         java.lang.String attr,
                         double nvalue)

### resetParam

    public void resetParam(int index,
                           java.lang.String sval)

### resetParam

    public void resetParam(int index,
                           double nvalue)

### getParamAttribute

    public java.lang.String getParamAttribute(int index)

### getParamValueStr

    public java.lang.String getParamValueStr(int index)

### getParamValueDbl

    public double getParamValueDbl(int index)

### isParamValueStr

    public boolean isParamValueStr(int index)

### getNumberOfParam

    public int getNumberOfParam()

### setGuiHandleNumber

    public void setGuiHandleNumber(int guiHandleNumber)

### getGuiHandleNumber

    public int getGuiHandleNumber()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD